Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Env Class Reference

ACEXML_Env. More...

`#include <Env.h>`

Collaboration diagram for ACEXML_Env:

[legend]
List of all members.

## Public Methods
| ACEXML_Env (void)
| Default constructor.
| ACEXML_Env (const ACEXML_Env &ACEXML_TRY_ENV)
| Copy constructor.
ACEXML_Env & | operator= (const ACEXML_Env &ACEXML_TRY_ENV)
| Assignment.
| ~ACEXML_Env (void)
| Destructor.
void | clear (void)
| Clear the exception and reset the evnrionment.
## Public Attributes
ACEXML_Exception *exception void | const
| Return the contained exception.
void exception ACEXML_Exception * | ex
| Set the contained exception to ex.
## Private Attributes
ACEXML_Exception * | exception_
| Place holder for exception (if one occurs.).

## Detailed Description

ACEXML_Env.

ACEXML_Env is modeled after CORBA_Environment class. It provides a place holder for callees to propagate exceptions back to callers. ACEXML does not support native exceptions at this moment.

See also:
  ACEXML_Exception

## Constructor & Destructor Documentation

ACEXML_Env::ACEXML_Env | ( | void |  | ) |

| Default constructor.

ACEXML_Env::ACEXML_Env | ( | const ACEXML_Env & | ACEXML_TRY_ENV | ) |

| Copy constructor.

ACEXML_Env::~ACEXML_Env | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACEXML_INLINE void ACEXML_Env::clear | ( | void |  | ) |

| Clear the exception and reset the evnrionment.

ACEXML_Env & ACEXML_Env::operator= | ( | const ACEXML_Env & | ACEXML_TRY_ENV | ) |

| Assignment.

## Member Data Documentation

ACEXML_Exception* exception void ACEXML_Env::const

| Return the contained exception.

void exception ACEXML_Exception* ACEXML_Env::ex

| Set the contained exception to ex.

ACEXML_Exception* ACEXML_Env::exception_`[private]`

| Place holder for exception (if one occurs.).

The documentation for this class was generated from the following files:

- Env.h
- Env.cpp
- Env.i